#!/bin/bash

cd SOURCE/
nasm BOOT.ASM -f bin -o ../BOOT.BIN
nasm SYSTEM.ASM -f bin -o ../SYSTEM.BIN

cd ..
rm -f EttinOS.img
mkfs.fat -C EttinOS.img 1440
dd if=BOOT.BIN of=EttinOS.img conv=notrunc bs=512 count=1
mcopy -i EttinOS.img SYSTEM.BIN ::
